Bug 971638 - CSProcessor status option does not work
CSProcessor status option does not work
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
Depends On:
  Show dependency treegraph
Reported: 2013-06-06 22:13 EDT by belong
Modified: 2013-07-02 01:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.33.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-02 01:05:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description belong 2013-06-06 22:13:31 EDT
Description of problem:

When I attempt to use the "csprocessor status <filename>" command, I get the following error:

ERROR: The local copy of the Content Specification has been updated and is out of sync with the server. Please use "csprocessor push" to update the server copy.

I even get this error immediately after the recommended push.

Version-Release number of selected component (if applicable):

CSProcessor client version: 0.32.3
Comment 1 Lee Newson 2013-06-06 22:40:52 EDT
Fixed in 0.33.0

The cause was due to the local file being parsed incorrectly and dropping the very last newline character, which in turn was affecting the generated CHECKSUM.
Comment 2 Lee Newson 2013-06-27 23:12:43 EDT
0.33.0 has now been released.
Comment 3 belong 2013-07-02 00:00:53 EDT
Verified in 0.33.2

Note You need to log in before you can comment on or make changes to this bug.